/**
 * This file is part of Port@l
 * Port@l 3.0 - Portal Engine and Management System
 * Copyright (C) 2010  Isotrol, SA.  http://www.isotrol.com
 *
 * Port@l is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Port@l is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Port@l.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.isotrol.impe3.api.component;


import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;


/**
 * Annotation which indicates that a method parameter should be bound to a web session parameter.
 * @author Andres Rodriguez
 */
@Target(ElementType.METHOD)
@Retention(RetentionPolicy.RUNTIME)
@ComponentAnnotation
public @interface InjectSession {
	/**
	 * Defines the name of the session param whose value will be used to initialize the value of the annotated
	 * method argument.
	 */
	String value();

	/**
	 * Whether the parameter is required.
	 */
	boolean required() default true;
}
